#include "ServiceManager.hpp"

// our services
#include "FxCyanF.hpp"
#include "FxPublish.hpp"
#include "CyanStripe.hpp"


namespace SiliconTorch {

  namespace ServiceManager {


    void registerSiliconTorchServices(ServiceManager* mgr) {

      mgr->registerService(new SiliconTorch::Service::FxCyanF());
      mgr->registerService(new SiliconTorch::Service::FxPublish());
      mgr->registerService(new SiliconTorch::Service::CyanStripe());

    }


  }
}
